| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
CSTA Application

CSTA Application Definitions and Methods. More...

## Classes
struct | unsp__CSTAApplicationIdentification
| CSTA Application Identification. More...
struct | unsp__CSTAApplicationInterfaceOptions
| CSTA Application Interface Options. More...
struct | unsp__CSTAApplicationSOAPHeartBeat
| CSTA Application SOAP HeartBeat. More...
struct | unsp__CSTAApplicationOperationalData
| CSTA Application Operational Data. More...
struct | unsp__CSTAApplicationBgACL
| CSTA Application business group access control list. More...
struct | unsp__CreateCSTAApplicationRequest
| Create CSTA Application request. More...
struct | unsp__CreateCSTAApplicationResult
| Create CSTA Application result. More...
struct | unsp__ModifyCSTAApplicationRequest
| Modify CSTA Application request. More...
struct | unsp__ModifyCSTAApplicationResult
| Modify CSTA Application result. More...
struct | unsp__DeleteCSTAApplicationRequest
| Delete CSTA Application request. More...
struct | unsp__DeleteCSTAApplicationResult
| Delete CSTA Application result. More...
struct | unsp__CSTAApplicationStatus
| CSTA Application Status. More...
struct | unsp__SupportedWebServiceNames
| List of supported Web Service names. More...
struct | unsp__QueryCSTAApplicationRequest
| Query CSTA Application request. More...
struct | unsp__CSTAApplicationResult
| CSTA Application result. More...
struct | unsp__QueryCSTAApplicationResult
| Query CSTA Application result. More...
struct | unsp__GetCSTAActiveDeviceListRequest
| Get CSTA Active Device List request. More...
struct | unsp__ActiveDeviceDataEntry
| Active device data entry. More...
struct | unsp__ActiveDeviceList
| List of active device entries. More...
struct | unsp__GetCSTAActiveDeviceListResult
| Get CSTA Active Device List result. More...
struct | unsp__CSTAStatus
| CSTA SM status. More...
struct | unsp__GetCSTAApplicationListRequest
| Get CSTA Application List Request. More...
struct | unsp__CSTAApplicationEntry
| CSTA application entry. More...
struct | unsp__CSTAApplicationList
| List of CSTA application entries. More...
struct | unsp__CSTATotalData
| Total data of route registrations and monitors. More...
struct | unsp__GetCSTAApplicationListResult
| Get CSTA Application List Result. More...
struct | unsp__GetCSTASMInfoRequest
| Get CSTA SM Info request. More...
struct | unsp__GetCSTASMInfoResult
| Get CSTA SM Info result. More...

## Enumerations
enum | unsp__CSTAApplicationType { CSTAAppTypeAll =-2, CSTAAppTypeUnknown =-1, CSTAAppTypeOpenscape, CSTAAppTypeThirdParty, CSTAAppTypeTelefonica, CSTAAppTypeNA }
| The type of a CSTA Application. More...
enum | unsp__CSTAApplicationSessionStatus { CSTAAppStatusInactive, CSTAAppStatusActive }
| The status of the application session service heartbeat. More...
enum | unsp__CSTAApplicationConnectionStatus { CSTAAppConnectionStatusDown, CSTAAppConnectionStatusUp, CSTAAppConnectionStatusFailed, CSTAAppConnectionStatusRetrieved }
| The application connection status. More...
enum | unsp__CSTADeviceFilter { CSTADeviceFilterAll, CSTADeviceFilterMonitor, CSTADeviceFilterRouteRegistration, CSTADeviceFilterSubscriber, CSTADeviceFilterNID }
| Allows filtering for devices with active CSTA monitors, active CSTA route registrations, subscriber devices only, NID devices only or all devices. More...
enum | unsp__CSTADeviceSortType { CSTADeviceSortTypeDeviceId, CSTADeviceSortTypeEBGId, CSTADeviceSortTypeMonitor, CSTADeviceSortTypeRouteRegistration }
| Allows sorting by ServiceID-NID, EBGID, Monitors and Route Registrations. More...
enum | unsp__CSTADeviceType { CSTADeviceTypeSubscriber, CSTADeviceTypeNID }
| Indicates whether the device is a Subscriber or NID. More...
enum | unsp__CSTAApplicationSortType { CSTAAppSortTypeApplicationType, CSTAAppSortTypeIP, CSTAAppSortTypeName, CSTAAppSortTypeConnected }
| Sort criterion for CSTA Applications. More...
enum | unsp__CSTASMStatus { CSTASMStatusNormal, CSTASMStatusEnabled, CSTASMStatusDisabled, CSTASMStatusPartiallyDisabled, CSTASMStatusOverloadReached, CSTASMStatusOverloadRelieved }
| CSTA SM status. More...

## Functions
int | unsp__CreateCSTAApplication (struct unsp__CreateCSTAApplicationRequest CreateCSTAApplicationRequest, struct unsp__CreateCSTAApplicationResult *CreateCSTAApplicationResult)
| Creates a CSTA Application. More...
int | unsp__ModifyCSTAApplication (struct unsp__ModifyCSTAApplicationRequest ModifyCSTAApplicationRequest, struct unsp__ModifyCSTAApplicationResult *ModifyCSTAApplicationResult)
| Modifies a CSTA Application. More...
int | unsp__DeleteCSTAApplication (struct unsp__DeleteCSTAApplicationRequest DeleteCSTAApplicationRequest, struct unsp__DeleteCSTAApplicationResult *DeleteCSTAApplicationResult)
| Deletes a CSTA Application. More...
int | unsp__QueryCSTAApplication (struct unsp__QueryCSTAApplicationRequest QueryCSTAApplicationRequest, struct unsp__QueryCSTAApplicationResult *QueryCSTAApplicationResult)
| Queries a CSTA Application. More...
int | unsp__GetCSTAApplicationList (struct unsp__GetCSTAApplicationListRequest GetCSTAApplicationListRequest, struct unsp__GetCSTAApplicationListResult *GetCSTAApplicationListResult)
| Allows the retrieval of the list of provisioned CSTA applications. More...
int | unsp__GetCSTAActiveDeviceList (struct unsp__GetCSTAActiveDeviceListRequest GetCSTAActiveDeviceListRequest, struct unsp__GetCSTAActiveDeviceListResult *GetCSTAActiveDeviceListResult)
| Allows the retrieval of the list of subscriber DNs with active CSTA monitors or route registrations for a CSTA application. More...
int | unsp__GetCSTASMInfo (struct unsp__GetCSTASMInfoRequest GetCSTASMInfoRequest, struct unsp__GetCSTASMInfoResult *GetCSTASMInfoResult)
| Allows the retrieval of the CSTA SM status information. More...

## Detailed Description

CSTA Application Definitions and Methods.

Openscape Voice supports the creation, modification, query and deletion of CSTA applications, the retrieval of the list of provisioned applications as well as the list of active devices for each application. When a CSTA application is created, modified or removed from the system, the associated packet filter rules are updated. Up to 256 applications are allowed to be provisioned. CSTA application can be provisioned using IPv4 addresses only.

Note
  Applications already connected to Openscape Voice but not yet configured appear with type Unknown. Their type must be changed before changing any other of their parameters.

## Enumeration Type Documentation

## ◆ unsp__CSTAApplicationConnectionStatus

enum unsp__CSTAApplicationConnectionStatus

The application connection status.

Enumerator
CSTAAppConnectionStatusDown | Down.
CSTAAppConnectionStatusUp | Up.
CSTAAppConnectionStatusFailed | Failed.
CSTAAppConnectionStatusRetrieved | Retrieved.

## ◆ unsp__CSTAApplicationSessionStatus

enum unsp__CSTAApplicationSessionStatus

The status of the application session service heartbeat.

Enumerator
CSTAAppStatusInactive | Inactive.
CSTAAppStatusActive | Active.

## ◆ unsp__CSTAApplicationSortType

enum unsp__CSTAApplicationSortType

Sort criterion for CSTA Applications.

Enumerator
CSTAAppSortTypeApplicationType | application type
CSTAAppSortTypeIP | IP address.
CSTAAppSortTypeName | Name.
CSTAAppSortTypeConnected | Connection status.

## ◆ unsp__CSTAApplicationType

enum unsp__CSTAApplicationType

The type of a CSTA Application.

Enumerator
CSTAAppTypeAll | All Types.
CSTAAppTypeUnknown | Unknown.
CSTAAppTypeOpenscape | Openscape.
CSTAAppTypeThirdParty | Third Party.
CSTAAppTypeTelefonica | Telefonica.
CSTAAppTypeNA | NA.

## ◆ unsp__CSTADeviceFilter

enum unsp__CSTADeviceFilter

Allows filtering for devices with active CSTA monitors, active CSTA route registrations, subscriber devices only, NID devices only or all devices.

Enumerator
CSTADeviceFilterAll | All devices.
CSTADeviceFilterMonitor | active CSTA monitors
CSTADeviceFilterRouteRegistration | active CSTA route registrations
CSTADeviceFilterSubscriber | subscriber devices only
CSTADeviceFilterNID | NID devices only.

## ◆ unsp__CSTADeviceSortType

enum unsp__CSTADeviceSortType

Allows sorting by ServiceID-NID, EBGID, Monitors and Route Registrations.

Enumerator
CSTADeviceSortTypeDeviceId | ServiceID-NID.
CSTADeviceSortTypeEBGId | !EBGID
CSTADeviceSortTypeMonitor | Monitors.
CSTADeviceSortTypeRouteRegistration | Route Registrations.

## ◆ unsp__CSTADeviceType

enum unsp__CSTADeviceType

Indicates whether the device is a Subscriber or NID.

Enumerator
CSTADeviceTypeSubscriber | Subscriber.
CSTADeviceTypeNID | NID.

## ◆ unsp__CSTASMStatus

enum unsp__CSTASMStatus

CSTA SM status.

Enumerator
CSTASMStatusNormal | Normal.
CSTASMStatusEnabled | Enabled.
CSTASMStatusDisabled | Disabled.
CSTASMStatusPartiallyDisabled | Partially Disabled.
CSTASMStatusOverloadReached | Overload Reached.
CSTASMStatusOverloadRelieved | Overload Relieved.

## Function Documentation

## ◆ unsp__CreateCSTAApplication()

unsp__CreateCSTAApplication | ( | struct unsp__CreateCSTAApplicationRequest | CreateCSTAApplicationRequest,
|  | struct unsp__CreateCSTAApplicationResult * | CreateCSTAApplicationResult
| ) |  |

Creates a CSTA Application.

Allows the provisioning of new CSTA applications. The creation of an application with existing IP address or name is blocked. Up to 256 applications are allowed to be created.

Parameters

  CreateCSTAApplicationRequest | API request
  CreateCSTAApplicationResult | API result MP2 command: CCSTAAPP [Attributes]

## ◆ unsp__DeleteCSTAApplication()

unsp__DeleteCSTAApplication | ( | struct unsp__DeleteCSTAApplicationRequest | DeleteCSTAApplicationRequest,
|  | struct unsp__DeleteCSTAApplicationResult * | DeleteCSTAApplicationResult
| ) |  |

Deletes a CSTA Application.

Parameters

  DeleteCSTAApplicationRequest | API request
  DeleteCSTAApplicationResult | API result MP2 command: DCSTAAPP [Attributes]

## ◆ unsp__GetCSTAActiveDeviceList()

unsp__GetCSTAActiveDeviceList | ( | struct unsp__GetCSTAActiveDeviceListRequest | GetCSTAActiveDeviceListRequest,
|  | struct unsp__GetCSTAActiveDeviceListResult * | GetCSTAActiveDeviceListResult
| ) |  |

Allows the retrieval of the list of subscriber DNs with active CSTA monitors or route registrations for a CSTA application.

Parameters

  GetCSTAActiveDeviceListRequest | API request
  GetCSTAActiveDeviceListResult | API result

## ◆ unsp__GetCSTAApplicationList()

unsp__GetCSTAApplicationList | ( | struct unsp__GetCSTAApplicationListRequest | GetCSTAApplicationListRequest,
|  | struct unsp__GetCSTAApplicationListResult * | GetCSTAApplicationListResult
| ) |  |

Allows the retrieval of the list of provisioned CSTA applications.

Parameters

  GetCSTAApplicationListRequest | API request
  GetCSTAApplicationListResult | API result

## ◆ unsp__GetCSTASMInfo()

unsp__GetCSTASMInfo | ( | struct unsp__GetCSTASMInfoRequest | GetCSTASMInfoRequest,
|  | struct unsp__GetCSTASMInfoResult * | GetCSTASMInfoResult
| ) |  |

Allows the retrieval of the CSTA SM status information.

Parameters

  GetCSTASMInfoRequest | API request
  GetCSTASMInfoResult | API result

## ◆ unsp__ModifyCSTAApplication()

unsp__ModifyCSTAApplication | ( | struct unsp__ModifyCSTAApplicationRequest | ModifyCSTAApplicationRequest,
|  | struct unsp__ModifyCSTAApplicationResult * | ModifyCSTAApplicationResult
| ) |  |

Modifies a CSTA Application.

If the IP address of an application is changed the corresponding packet filter rule will be updated.

The modification of the ApplicationType of an existing application is not allowed, except the transition from type Unknown to other types.
MP2 command: MCSTAAPP [Attributes]

Parameters

  ModifyCSTAApplicationRequest | API request
  ModifyCSTAApplicationResult | API result

## ◆ unsp__QueryCSTAApplication()

unsp__QueryCSTAApplication | ( | struct unsp__QueryCSTAApplicationRequest | QueryCSTAApplicationRequest,
|  | struct unsp__QueryCSTAApplicationResult * | QueryCSTAApplicationResult
| ) |  |

Queries a CSTA Application.

Parameters

  QueryCSTAApplicationRequest | API request
  QueryCSTAApplicationResult | API result